
Katello - Bug #23063

RH subscriptions: trigger toast notifications on errors

03/29/2018 01:37 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Subscriptions   

Target version: Katello 3.7.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1596883 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/748
Description

We need to show toast notifications on errors from the APIs on this page.

Related issues:

Has duplicate Katello - Bug #24127: UI fails silently when uploading manifest... Duplicate 07/02/2018

Associated revisions

Revision ffd94bf2 - 07/17/2018 04:41 PM - Tomáš Strachota

Fixes #23063 - Add notifications on subscription API errors

History

#1 - 06/18/2018 08:58 PM - Walden Raines

- Target version deleted (253)

#2 - 06/21/2018 02:09 PM - Tomáš Strachota

- Status changed from New to Assigned

- Assignee changed from Walden Raines to Tomáš Strachota

#3 - 06/28/2018 01:19 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7483 added

#4 - 07/11/2018 06:25 PM - Justin Sherrill

- Target version changed from Katello 3.7.0 to Katello 3.7.1

- Triaged set to No

#5 - 07/12/2018 03:30 PM - Walden Raines

- Has duplicate Bug #24127: UI fails silently when uploading manifests produces warnings/errors added

#6 - 07/12/2018 03:30 PM - Walden Raines

- Bugzilla link set to 1596883

#7 - 07/17/2018 05:01 PM - Tomáš Strachota

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|ffd94bf24205f9587d4dd067609abcc735f141c3.

#8 - 07/20/2018 10:15 PM - The Foreman Bot
https://projects.theforeman.org/projects/katello/repository/katello/revisions/ffd94bf24205f9587d4dd067609abcc735f141c3


- Pull request https://github.com/Katello/katello/pull/7556 added

#9 - 07/23/2018 02:06 PM - Jonathon Turel

- Target version changed from Katello 3.7.1 to Katello 3.7.0

#10 - 07/23/2018 02:07 PM - Jonathon Turel

- Pull request deleted (https://github.com/Katello/katello/pull/7556)
